petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASGetInjection

Gets the matrix used to calculate the injection from l-1 to the lth level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetInjection(SNES snes, PetscInt level, Mat *mat)

### Input Parameters

| snes | - the multigrid context
| level | - the level (0 is coarsest) to supply [do not supply 0]

### Output Parameters

mat -the injection operator

### Keywords

FAS, multigrid, get, restrict, level

### See Also

SNESFASSetInjection(), SNESFASGetRestriction(), SNESFASGetInterpolation(), SNESFASGetRScale()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages